Problem buliding rc2 on OS X

Jay Parlar parlar at gmail.com
Sat Oct 14 12:29:57 CDT 2006


> Jay Parlar wrote:
> > In the process of finally switching over to Python 2.5, and am trying
> > to build numpy. Unfortunately, it dies during the build:
>
> > C compiler: gcc -arch ppc -arch i386 -isysroot
> > /Developer/SDKs/MacOSX10.4u.sdk -fno-strict-aliasing -Wno-long-double
> > -no-cpp-precomp -mno-fused-madd -fno-common -dynamic -DNDEBUG -g -O3
> >
> > compile options:
> > '-I/Library/Frameworks/Python.framework/Versions/2.5/include/python2.5
> > -Inumpy/core/src -Inumpy/core/include
> > -I/Library/Frameworks/Python.framework/Versions/2.5/include/python2.5
> > -c'
> > gcc: _configtest.c
> > gcc: cannot specify -o with -c or -S and multiple compilations
> > gcc: cannot specify -o with -c or -S and multiple compilations
> > failure.
>
> This is the problem. Are you sure that you are using the correct version of gcc
> for making Universal binaries on 10.3.9? If so, then we are not passing the
> correct flags to it. Unfortunately, I think that the Universal stuff is going to
> make our lives quite complicated.
>

Well, my system is up-to-date, with only one gcc on it, so I don't
know what else I can do. I originally missed the line saying "C
compiler: gcc ...". It's odd, because I certainly don't have a
/Developer/SDKs/MacOSX10.4u.sdk on my system. I wonder if that's there
implicitly because the universal Python 2.5 I downloaded from
python.org was built on a 10.4 system.

Jay P.

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642




More information about the Numpy-discussion mailing list